# Skynet LDAP backend

Basic information on the Skynet ldap backend for use on <https://sso.skynet.ie>


### Error: HTTP 500  
No indication of the issue is returned to teh frontend.

## Routes
Base URL: <https://api.sso.skynet.ie>


### POST /ldap/update
Fields:
* userPassword
* mail
* sshPublicKey
* cn
* sn
* skDiscord

```json
{ 
  "user" : "username", 
  "pass" : "password",
  "field": "field to change",
  "value": "new value of field"
}
```

Changing ``userPassword`` requires the existing password in teh apssword field and the new one in teh value field.

### POST /ldap/new

```json
{ 
  "auth" : "Authcode from the email",
  "user" : "username the user wants", 
  "pass" : "password teh user wants"
}
```

Username taken:
```json
{"result": "error", "error": "username not available"}
```

Invalid Auth:
```json
{"result": "error", "error": "Invalid auth"}
```

## Responses

Generic responses which is used unless otherwise specified above.

### Success: HTTP 200
```json
{
    "result": "success"
}
```